These docs are for v0.0.1. Click to read the latest docs for v1.0.63.

Bulk Export Users

This API requires the Account Administrator role.

Bulk exports the list of users for an account based on the criteria provided.

The following fields must be unique otherwise a HTTP 409 Conflict will be returned:

  • jobName

Will trigger an asynchronous job, the status of which should be monitored via /jobs/{jobId}.

Once the job has completed, the file can be downloaded using the API /jobs/{jobId}:downloadExportedUsers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length between 6 and 6
^[a-zA-Z]{6}$

The unique 6 character internal id that represents the customer account.

Query Params
string
length between 1 and 255
^[a-zA-Z0-9\(\)\-\_\.\ ]+$

Optional, job name that can be provided to uniquely identify the job.

string
length ≤ 255

Specifies details of a row filter.

The possible fields you can filter on are:

  • firstName
  • lastName

The allowed format:

  • Begins with the column name to be filtered, followed by a colon, (This will be used as Contains operator.) then:
    • Either an exact string to match, or
    • A string expression including the * wildcard character.
      • :{PREFIX}* will be used to find out word start with.
      • :*{POSTFIX} will be used to find out word end with
      • : will be used to match exact word
  • Begin with column name to be filtered, followed by a = operator. (this will be used to match exact string)
string
length ≤ 255

Field name on which sorting needs to be performed. The default sorting order is ascending.

The possible fields that can be ordered on are:

  • firstName
  • lastName
  • loginId

Field Names are case-sensitive (should be written as it is in description).

To specify descending order, a suffix " desc" should be added. For example, "loginId" for ascending or "loginId desc" for descending".

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Choose an example:
application/json
application/problem+json